Index: TXM/trunk/org.txm.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.rcp/plugin.xml	(revision 3578)
+++ TXM/trunk/org.txm.rcp/plugin.xml	(revision 3579)
@@ -30,7 +30,7 @@
       <product
             application="org.txm.rcp.Application"
             description="%product.description"
-            name="%product.name.3">
+            name="TXM 0.8.2">
          <property
                name="appName"
                value="TXM 0.8.2">
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3578)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3579)
@@ -23,6 +23,7 @@
 	
 	private static final int SECTION_SIZE = 1;
 	
+	Button buildTIGERIndexesButton;
 	Button useNewDocIdButton;
 	Button keepWordContractionsButton;
 	Text udPropertiesPrefixButton;
@@ -64,9 +65,14 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		useNewDocIdButton = toolkit.createButton(sectionClient, "Use new doc id when importing CoNLL-U files", SWT.CHECK);
+		buildTIGERIndexesButton = toolkit.createButton(sectionClient, "Build TIGERSearch indexes as well", SWT.CHECK);
 		TableWrapData gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
+		buildTIGERIndexesButton.setLayoutData(gdata2);
+		
+		useNewDocIdButton = toolkit.createButton(sectionClient, "Use new doc id when importing CoNLL-U files", SWT.CHECK);
+		gdata2 = getButtonLayoutData();
+		gdata2.colspan = 4; // one line
 		useNewDocIdButton.setLayoutData(gdata2);
 		
 		keepWordContractionsButton = toolkit.createButton(sectionClient, "Keep word contractions when importing CoNLL-U files", SWT.CHECK);
@@ -104,25 +110,27 @@
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
-		Preferences customNode = project.getImportParameters().node("conllu");
+		Preferences customNode = project.getPreferencesScope().getNode(UDPreferences.getInstance().getPreferencesNodeQualifier());
 		
-		useNewDocIdButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, true)); //$NON-NLS-1$
-		keepWordContractionsButton.setSelection(customNode.getBoolean(UDPreferences.KEEP_CONTRACTIONS, true)); //$NON-NLS-1$
+		buildTIGERIndexesButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES))); //$NON-NLS-1$
+		useNewDocIdButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID))); //$NON-NLS-1$
+		keepWordContractionsButton.setSelection(customNode.getBoolean(UDPreferences.KEEP_CONTRACTIONS, UDPreferences.getInstance().getBoolean(UDPreferences.KEEP_CONTRACTIONS))); //$NON-NLS-1$
 		udPropertiesPrefixButton.setText(customNode.get(UDPreferences.UDPREFIX, "")); //$NON-NLS-1$
-		headPropertiesText.setText(customNode.get(UDPreferences.IMPORT_HEAD_TO_PROJECT, "upos,deprel")); //$NON-NLS-1$
-		depsPropertiesText.setText(customNode.get(UDPreferences.IMPORT_DEPS_TO_PROJECT, "upos,deprel")); //$NON-NLS-1$
+		headPropertiesText.setText(customNode.get(UDPreferences.IMPORT_HEAD_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT))); //$NON-NLS-1$
+		depsPropertiesText.setText(customNode.get(UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT))); //$NON-NLS-1$
 	}
 	
 	@Override
 	public boolean saveFields(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
 			
-			Preferences customNode = project.getImportParameters().node("conllu");
-			customNode.putBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, useNewDocIdButton.getSelection()); //$NON-NLS-1$
-			customNode.putBoolean(UDPreferences.KEEP_CONTRACTIONS, keepWordContractionsButton.getSelection()); //$NON-NLS-1$
-			customNode.put(UDPreferences.UDPREFIX, udPropertiesPrefixButton.getText()); //$NON-NLS-1$
-			customNode.put(UDPreferences.IMPORT_HEAD_TO_PROJECT, headPropertiesText.getText()); //$NON-NLS-1$
-			customNode.put(UDPreferences.IMPORT_DEPS_TO_PROJECT, depsPropertiesText.getText()); //$NON-NLS-1$
+			Preferences customNode = project.getPreferencesScope().getNode(UDPreferences.getInstance().getPreferencesNodeQualifier());
+			customNode.putBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, buildTIGERIndexesButton.getSelection());
+			customNode.putBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, useNewDocIdButton.getSelection());
+			customNode.putBoolean(UDPreferences.KEEP_CONTRACTIONS, keepWordContractionsButton.getSelection());
+			customNode.put(UDPreferences.UDPREFIX, udPropertiesPrefixButton.getText());
+			customNode.put(UDPreferences.IMPORT_HEAD_TO_PROJECT, headPropertiesText.getText());
+			customNode.put(UDPreferences.IMPORT_DEPS_TO_PROJECT, depsPropertiesText.getText());
 		}
 		return true;
 	}
Index: TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3578)
+++ TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3579)
@@ -34,7 +34,7 @@
 		
 		File conlluSrcDirectory = inputDirectory
 		
-		boolean usenewdocid =  UDPreferences.getInstance().getString(UDPreferences.IMPORT_USE_NEW_DOC_ID); // THE conllu -> Tiger XSL MUST HAVE THE SAME BEHAVIOR BEFORE //
+		boolean usenewdocid =  "true".equals(UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_USE_NEW_DOC_ID)); // THE conllu -> Tiger XSL MUST HAVE THE SAME BEHAVIOR BEFORE //
 		
 		if (usenewdocid) {
 			conlluSrcDirectory = new File(outputDirectory.getParentFile().getParentFile(), "conllu")
@@ -118,11 +118,11 @@
 		
 		UDPreferences.getInstance().setProjectPreferenceValue(project, UDPreferences.UDPREFIX, prefix); // copy the current preference into the corpus preference
 		
-		boolean keepContractions =  UDPreferences.getInstance().getString(UDPreferences.KEEP_CONTRACTIONS)
+		boolean keepContractions =  "true".equals(UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.KEEP_CONTRACTIONS, UDPreferences.getInstance().getString(UDPreferences.KEEP_CONTRACTIONS)));
 		
-		def headPropertiesToProject = UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT).split(",") as Set
+		def headPropertiesToProject = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_HEAD_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT)).split(",") as Set
 		
-		def depsPropertiesToProject = UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT).split(",") as Set
+		def depsPropertiesToProject = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT)).split(",") as Set
 		
 		ConsoleProgressBar cpb_texts = new ConsoleProgressBar(files.size())
 		
Index: TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy
===================================================================
--- TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3578)
+++ TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3579)
@@ -49,7 +49,7 @@
 		// build the TIGER-XML file
 		CallUD2TigerPerlScript cutps = new CallUD2TigerPerlScript();
 		
-		boolean buildtigerindexes =  UDPreferences.getInstance().getString(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES); // THE conllu -> Tiger XSL MUST HAVE THE SAME BEHAVIOR BEFORE //
+		boolean buildtigerindexes = "true".equals(UDPreferences.getInstance().getProjectPreferenceValue(this.project, UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES))
 		if (!buildtigerindexes) {
 			println "Skipping TIGER conversion step."
 			return;
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3578)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3579)
@@ -2036,6 +2036,11 @@
 	////
 	// end of fixme
 	
+	public String getProjectPreferenceValue(Project project, String key) {
+		String defaultValue = this.getString(key);
+		return getProjectPreferenceValue(project, key, defaultValue);
+	}
+	
 	public String getProjectPreferenceValue(Project project, String key, String defaultValue) {
 		Preferences node = project.getPreferencesScope().getNode(commandPreferencesNodeQualifier);
 		return node.get(key, defaultValue);
